# Copyright (c) 2000-2008, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section free

%define reltag GA
%define version_full %{version}.%{reltag}

Name:           jboss-test
Version:        1.0.0
Release:	2%{?dist}
Epoch:          1
Summary:        JBoss Test
URL:            http://www.jboss.com/
# svn export http://anonsvn.jboss.org/repos/jbossas/projects/test/tags/JBossTest_1_0_0_GA/ jboss-test-1.0.0.GA
# tar cjf jboss-test-1.0.0.GA.tar.bz2 jboss-test-1.0.0.GA
#
# mkdir jboss-test-1.0.0
# cd jboss-test-1.0.0
# cvs -d:pserver:anonymous@anoncvs.forge.jboss.com:/cvsroot/jboss export -r 1_1_0_GA test
# cvs -d:pserver:anonymous@anoncvs.forge.jboss.com:/cvsroot/jboss export -r 1_1_0_GA tools/etc/buildmagic
# cd ..
# tar cjf jboss-test-1.0.0.tar.bz2 jboss-test-1.0.0
Source0:        jboss-test-1.0.0.GA.tar.bz2
Source1:        jboss-test-1.0.0.pom
Patch0:         jboss-test-1.0.0-buildmagic-ant17-jdk5.patch
Patch1:         jboss-test-1.0.0-no-retro.patch
License:        LGPLv2+
Group:          Development/Java
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:       log4j
BuildRequires:  ant
BuildRequires:  ant-junit
BuildRequires:  ant-nodeps
BuildRequires:  buildmagic
BuildRequires:  java-devel >= 0:1.5.0
BuildRequires:  jboss-common
BuildRequires:  jboss-profiler
BuildRequires:  jpackage-utils >= 0:1.7.3
BuildRequires:  log4j
BuildRequires:  retroweaver
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch

%description
JBoss test module.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%prep
%setup -q -n jboss-test-1.0.0.GA
%patch0 -p1
%patch1 -p1
find . -type f -name "*.jar" | xargs -t rm

#cp -p tools/etc/buildmagic/libraries.ent thirdparty/
touch thirdparty/libraries.ent

%build
export CLASSPATH=$(build-classpath buildmagic jboss-common/jboss-common jboss-profiler/jboss-profiler-jvmti junit log4j retroweaver)
export OPT_JAR_LIST="junit ant/ant-junit ant/ant-nodeps"
cd test
%{ant} -Dbuild.sysclasspath=only all

%install
rm -rf $RPM_BUILD_ROOT

# jar
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}/jboss
install -p -m 0644 test/output/lib/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir}/jboss && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr test/output/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# poms
%add_to_maven_depmap jboss jboss-test %{version_full} JPP/jboss %{name}
%{__mkdir_p} %{buildroot}%{_datadir}/maven2/poms
%{__cp} -a %{SOURCE1} %{buildroot}%{_datadir}/maven2/poms/JPP.jboss-%{name}.pom

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_javadir}/jboss
%{_datadir}/maven2/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%changelog
* Mon Dec 08 2008 Will Tatam <will.tatam@red61.com> 1.0.0-2
- Auto rebuild for JPackage 5 in mock

* Mon Aug 25 2008 David Walluck <dwalluck@redhat.com> 1:1.0.0-1
- 1.0.0.GA
- add maven pom

* Mon Aug 25 2008 David Walluck <dwalluck@redhat.com> 1:1.0.0-0.20051118.1
- match standalone release version

* Mon Nov 05 2007 Ralph Apel <r.apel at r-apel.de> 0:4.2.2.0-1jpp
- First standalone release
